/* Copyright (C) 2011 Papavasileiou Dimitris                             
 *                                                                      
 * This program is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or    
 * (at your option) any later version.                                  
 *                                                                      
 * This program is distributed in the hope that it will be useful,      
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        
 * GNU General Public License for more details.                         
 *                                                                      
 * You should have received a copy of the GNU General Public License    
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __COMMON_H_
#define __COMMON_H_

void check_button_state (void);

int update_gps_data (void);

void load_waypoints (void);
void switch_waypoint(void);
void update_waypoint(void);
void update_navigational_data (void);

void load_odometers (void);
void update_odometers (void);
void reset_odometer (int i);

void update_temperature (void);

void update_statistics (void);
void reset_statistics_graph (int reset);

void update_engine_state(void);
void adjust_brightness(void);

#endif
