/* Copyright (C) 2011 Papavasileiou Dimitris                             
 *                                                                      
 * This program is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation, either version 3 of the License, or    
 * (at your option) any later version.                                  
 *                                                                      
 * This program is distributed in the hope that it will be useful,      
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        
 * GNU General Public License for more details.                         
 *                                                                      
 * You should have received a copy of the GNU General Public License    
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef TINY_H
#define TINY_H

#include <avr/pgmspace.h>

static prog_char __tiny_char_32[] PROGMEM = "\x00\x00\x00";
static prog_char __tiny_char_33[] PROGMEM = "\x00\x5F\x00";
static prog_char __tiny_char_34[] PROGMEM = "\x07\x00\x07";
static prog_char __tiny_char_35[] PROGMEM = "\x14\x7F\x14\x7F\x14";
static prog_char __tiny_char_36[] PROGMEM = "\x26\x49\x7F\x49\x32";
static prog_char __tiny_char_37[] PROGMEM = "\x63\x13\x08\x64\x63";
static prog_char __tiny_char_38[] PROGMEM = "\x36\x49\x00\x22\x50";
static prog_char __tiny_char_39[] PROGMEM = "\x04\x03\x00";
static prog_char __tiny_char_40[] PROGMEM = "\x1C\x22\x41";
static prog_char __tiny_char_41[] PROGMEM = "\x41\x22\x1C";
static prog_char __tiny_char_42[] PROGMEM = "\x00\x08\x1C\x08\x00";
static prog_char __tiny_char_43[] PROGMEM = "\x08\x08\x3E\x08\x08";
static prog_char __tiny_char_44[] PROGMEM = "\x80\x60";
static prog_char __tiny_char_45[] PROGMEM = "\x08\x08\x08\x08\x08";
static prog_char __tiny_char_46[] PROGMEM = "\x40";
static prog_char __tiny_char_47[] PROGMEM = "\x60\x10\x08\x04\x03";
static prog_char __tiny_char_48[] PROGMEM = "\x3E\x51\x49\x45\x3E";
static prog_char __tiny_char_49[] PROGMEM = "\x00\x42\x7F\x40\x00";
static prog_char __tiny_char_50[] PROGMEM = "\x62\x51\x49\x49\x46";
static prog_char __tiny_char_51[] PROGMEM = "\x22\x41\x49\x49\x36";
static prog_char __tiny_char_52[] PROGMEM = "\x18\x14\x12\x7F\x10";
static prog_char __tiny_char_53[] PROGMEM = "\x27\x49\x49\x49\x31";
static prog_char __tiny_char_54[] PROGMEM = "\x3C\x4A\x49\x49\x30";
static prog_char __tiny_char_55[] PROGMEM = "\x01\x71\x09\x05\x03";
static prog_char __tiny_char_56[] PROGMEM = "\x36\x49\x49\x49\x36";
static prog_char __tiny_char_57[] PROGMEM = "\x06\x49\x49\x29\x1E";
static prog_char __tiny_char_58[] PROGMEM = "\x14";
static prog_char __tiny_char_59[] PROGMEM = "\x80\x68";
static prog_char __tiny_char_60[] PROGMEM = "\x08\x14\x22\x41";
static prog_char __tiny_char_61[] PROGMEM = "\x14\x14\x14\x14";
static prog_char __tiny_char_62[] PROGMEM = "\x41\x22\x14\x08";
static prog_char __tiny_char_63[] PROGMEM = "\x02\x01\x51\x09\x06";
static prog_char __tiny_char_64[] PROGMEM = "\x3E\x41\x5D\x00\x4E";
static prog_char __tiny_char_65[] PROGMEM = "\x7E\x11\x11\x11\x7E";
static prog_char __tiny_char_66[] PROGMEM = "\x7F\x49\x49\x49\x36";
static prog_char __tiny_char_67[] PROGMEM = "\x3E\x41\x41\x41\x22";
static prog_char __tiny_char_68[] PROGMEM = "\x7F\x41\x41\x41\x3E";
static prog_char __tiny_char_69[] PROGMEM = "\x7F\x49\x49\x49\x41";
static prog_char __tiny_char_70[] PROGMEM = "\x7F\x09\x09\x09\x01";
static prog_char __tiny_char_71[] PROGMEM = "\x3E\x41\x49\x49\x32";
static prog_char __tiny_char_72[] PROGMEM = "\x7F\x08\x08\x08\x7F";
static prog_char __tiny_char_73[] PROGMEM = "\x41\x7F\x41";
static prog_char __tiny_char_74[] PROGMEM = "\x20\x40\x41\x3F\x01";
static prog_char __tiny_char_75[] PROGMEM = "\x7F\x08\x14\x22\x41";
static prog_char __tiny_char_76[] PROGMEM = "\x7F\x40\x40\x40";
static prog_char __tiny_char_77[] PROGMEM = "\x7F\x01\x06\x01\x7F";
static prog_char __tiny_char_78[] PROGMEM = "\x7F\x02\x1C\x20\x7F";
static prog_char __tiny_char_79[] PROGMEM = "\x3E\x41\x41\x41\x3E";
static prog_char __tiny_char_80[] PROGMEM = "\x7F\x09\x09\x09\x06";
static prog_char __tiny_char_81[] PROGMEM = "\x3E\x41\x51\x21\x5E";
static prog_char __tiny_char_82[] PROGMEM = "\x7F\x09\x19\x29\x46";
static prog_char __tiny_char_83[] PROGMEM = "\x26\x49\x49\x49\x32";
static prog_char __tiny_char_84[] PROGMEM = "\x01\x01\x7F\x01\x01";
static prog_char __tiny_char_85[] PROGMEM = "\x3F\x40\x40\x40\x3F";
static prog_char __tiny_char_86[] PROGMEM = "\x0F\x30\x40\x30\x0F";
static prog_char __tiny_char_87[] PROGMEM = "\x3F\x40\x30\x40\x3F";
static prog_char __tiny_char_88[] PROGMEM = "\x63\x14\x08\x14\x63";
static prog_char __tiny_char_89[] PROGMEM = "\x07\x08\x70\x08\x07";
static prog_char __tiny_char_90[] PROGMEM = "\x61\x51\x49\x45\x43";
static prog_char __tiny_char_91[] PROGMEM = "\x7F\x41\x41";
static prog_char __tiny_char_92[] PROGMEM = "\x03\x04\x08\x10\x60";
static prog_char __tiny_char_93[] PROGMEM = "\x41\x41\x7F";
static prog_char __tiny_char_94[] PROGMEM = "\x08\x04\x02\x04\x08";
static prog_char __tiny_char_95[] PROGMEM = "\x40\x40\x40\x40\x40";
static prog_char __tiny_char_96[] PROGMEM = "\x03\x04\x00";
static prog_char __tiny_char_97[] PROGMEM = "\x20\x54\x54\x78";
static prog_char __tiny_char_98[] PROGMEM = "\x7F\x48\x48\x48\x30";
static prog_char __tiny_char_99[] PROGMEM = "\x38\x44\x44\x28";
static prog_char __tiny_char_100[] PROGMEM = "\x30\x48\x48\x48\x7F";
static prog_char __tiny_char_101[] PROGMEM = "\x38\x54\x54\x48";
static prog_char __tiny_char_102[] PROGMEM = "\x08\x7E\x09\x01";
static prog_char __tiny_char_103[] PROGMEM = "\x98\xA4\xA4\x78";
static prog_char __tiny_char_104[] PROGMEM = "\x7F\x08\x04\x04\x78";
static prog_char __tiny_char_105[] PROGMEM = "\x3D\x40";
static prog_char __tiny_char_106[] PROGMEM = "\x80\x84\x7D";
static prog_char __tiny_char_107[] PROGMEM = "\x7F\x10\x28\x44";
static prog_char __tiny_char_108[] PROGMEM = "\x01\x7F\x00";
static prog_char __tiny_char_109[] PROGMEM = "\x7C\x08\x04\x78\x04\x78";
static prog_char __tiny_char_110[] PROGMEM = "\x7C\x08\x04\x04\x78";
static prog_char __tiny_char_111[] PROGMEM = "\x38\x44\x44\x38";
static prog_char __tiny_char_112[] PROGMEM = "\xFC\x24\x24\x24\x18";
static prog_char __tiny_char_113[] PROGMEM = "\x18\x24\x24\x24\xFC";
static prog_char __tiny_char_114[] PROGMEM = "\x78\x04\x04\x04";
static prog_char __tiny_char_115[] PROGMEM = "\x48\x54\x54\x24";
static prog_char __tiny_char_116[] PROGMEM = "\x04\x3E\x44";
static prog_char __tiny_char_117[] PROGMEM = "\x3C\x40\x40\x20\x7C";
static prog_char __tiny_char_118[] PROGMEM = "\x1C\x20\x40\x20\x1C";
static prog_char __tiny_char_119[] PROGMEM = "\x3C\x40\x30\x40\x3C";
static prog_char __tiny_char_120[] PROGMEM = "\x44\x28\x10\x28\x44";
static prog_char __tiny_char_121[] PROGMEM = "\x1C\xA0\xA0\x7C";
static prog_char __tiny_char_122[] PROGMEM = "\x64\x54\x54\x4C";
static prog_char __tiny_char_123[] PROGMEM = "\x08\x36\x41";
static prog_char __tiny_char_124[] PROGMEM = "\x00\x7F\x00";
static prog_char __tiny_char_125[] PROGMEM = "\x41\x36\x08";
static prog_char __tiny_char_126[] PROGMEM = "\x00\x08\x04\x08\x10\x08";
static prog_char __tiny_char_127[] PROGMEM = "\x10\x38\x7C";
static prog_char __tiny_char_128[] PROGMEM = "\x7C\x38\x10";
static prog_char __tiny_char_129[] PROGMEM = "\x00\x06\x09\x09\x06";


static prog_char __tiny_char_130[] PROGMEM = "\x00\xFC\x84\x84\x84\xFC";
static prog_char __tiny_char_131[] PROGMEM = "\x00\xF4\x94\x94\x94\x9C";
static prog_char __tiny_char_132[] PROGMEM = "\x00\x3C\x20\x20\xFC\x20";
static prog_char __tiny_char_133[] PROGMEM = "\x00\xFC\x94\x94\x94\xF4";
static prog_char __tiny_char_134[] PROGMEM = "\x00\xEC\x94\x94\x94\xEC";
static prog_char __tiny_char_135[] PROGMEM = "\x08\xFC\x00\xFC\x84\x84\xFC";
static prog_char __tiny_char_136[] PROGMEM = "\x08\xFC\x00\xF4\x94\x94\x9C";
static prog_char __tiny_char_137[] PROGMEM = "\x08\xFC\x00\x3C\x20\x20\xFC";
static prog_char __tiny_char_138[] PROGMEM = "\x08\xFC\x00\xFC\x94\x94\xF4";

static prog_char __tiny_char_139[] PROGMEM = "\x04\x04\x04\x04\x04\x04\x04\x04\x04\x04";
static prog_char __tiny_char_140[] PROGMEM = "\x03\x04\x04";
static prog_char __tiny_char_141[] PROGMEM = "\xFF";
static prog_char __tiny_char_142[] PROGMEM = "\x04\x04\x04\x04\x04\x04\x08\x10\x28\xC4";

static prog_char __tiny_char_143[] PROGMEM = "\x00\x88\xFF\x88";
static prog_char __tiny_char_144[] PROGMEM = "\x20\x20\xFF\x20\x20\x20\x20\x20";
static prog_char __tiny_char_145[] PROGMEM = "\x70\x20\x20\x20\x20\x70\x20\x20\x20\x20";
    
static unsigned char tiny_widths[] PROGMEM = {
    3, 3, 3, 5, 5, 5, 5, 3, 3, 
    3, 5, 5, 2, 5, 1, 5, 5, 5, 
    5, 5, 5, 5, 5, 5, 5, 5, 1, 
    2, 4, 4, 4, 5, 5, 5, 5, 5, 
    5, 5, 5, 5, 5, 3, 5, 5, 4, 
    5, 5, 5, 5, 5, 5, 5, 5, 5, 
    5, 5, 5, 5, 5, 3, 5, 3, 5, 
    5, 3, 4, 5, 4, 5, 4, 4, 4, 
    5, 2, 3, 4, 3, 6, 5, 4, 5, 
    5, 4, 4, 3, 5, 5, 5, 5, 4, 
    4, 3, 3, 3, 6, 3, 3, 5,
    
    6, 6, 6, 6, 6, 7, 7, 7, 7,

    10, 3, 1, 10, 4, 8, 10
};

static prog_char *tiny_glyphs[] PROGMEM = {
    __tiny_char_32,
    __tiny_char_33,
    __tiny_char_34,
    __tiny_char_35,
    __tiny_char_36,
    __tiny_char_37,
    __tiny_char_38,
    __tiny_char_39,
    __tiny_char_40,
    __tiny_char_41,
    __tiny_char_42,
    __tiny_char_43,
    __tiny_char_44,
    __tiny_char_45,
    __tiny_char_46,
    __tiny_char_47,
    __tiny_char_48,
    __tiny_char_49,
    __tiny_char_50,
    __tiny_char_51,
    __tiny_char_52,
    __tiny_char_53,
    __tiny_char_54,
    __tiny_char_55,
    __tiny_char_56,
    __tiny_char_57,
    __tiny_char_58,
    __tiny_char_59,
    __tiny_char_60,
    __tiny_char_61,
    __tiny_char_62,
    __tiny_char_63,
    __tiny_char_64,
    __tiny_char_65,
    __tiny_char_66,
    __tiny_char_67,
    __tiny_char_68,
    __tiny_char_69,
    __tiny_char_70,
    __tiny_char_71,
    __tiny_char_72,
    __tiny_char_73,
    __tiny_char_74,
    __tiny_char_75,
    __tiny_char_76,
    __tiny_char_77,
    __tiny_char_78,
    __tiny_char_79,
    __tiny_char_80,
    __tiny_char_81,
    __tiny_char_82,
    __tiny_char_83,
    __tiny_char_84,
    __tiny_char_85,
    __tiny_char_86,
    __tiny_char_87,
    __tiny_char_88,
    __tiny_char_89,
    __tiny_char_90,
    __tiny_char_91,
    __tiny_char_92,
    __tiny_char_93,
    __tiny_char_94,
    __tiny_char_95,
    __tiny_char_96,
    __tiny_char_97,
    __tiny_char_98,
    __tiny_char_99,
    __tiny_char_100,
    __tiny_char_101,
    __tiny_char_102,
    __tiny_char_103,
    __tiny_char_104,
    __tiny_char_105,
    __tiny_char_106,
    __tiny_char_107,
    __tiny_char_108,
    __tiny_char_109,
    __tiny_char_110,
    __tiny_char_111,
    __tiny_char_112,
    __tiny_char_113,
    __tiny_char_114,
    __tiny_char_115,
    __tiny_char_116,
    __tiny_char_117,
    __tiny_char_118,
    __tiny_char_119,
    __tiny_char_120,
    __tiny_char_121,
    __tiny_char_122,
    __tiny_char_123,
    __tiny_char_124,
    __tiny_char_125,
    __tiny_char_126,
    __tiny_char_127,
    __tiny_char_128,
    __tiny_char_129,

    __tiny_char_130,
    __tiny_char_131,
    __tiny_char_132,
    __tiny_char_133,
    __tiny_char_134,
    __tiny_char_135,
    __tiny_char_136,
    __tiny_char_137,
    __tiny_char_138,

    __tiny_char_139,
    __tiny_char_140,
    __tiny_char_141,
    __tiny_char_142,

    __tiny_char_143,
    __tiny_char_144,
    __tiny_char_145,
};

#endif
